Bug 1188282 - Wayland: gnome-session does not start ssh-agent
Summary: Wayland: gnome-session does not start ssh-agent
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-session
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedBlocker
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-02 14:08 UTC by Olivier Fourdan
Modified: 2019-11-17 22:23 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-04 21:36:07 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 738205 0 Normal RESOLVED gnome-keyring doesn't unlock ssh keys under Wayland 2021-02-17 03:21:40 UTC

Description Olivier Fourdan 2015-02-02 14:08:25 UTC
Description of problem:

For some reason, when selecting "GNOME on Wayland", the ssh-agent is not started.

Version-Release number of selected component (if applicable):

gnome-session-3.14.0-1.fc21.x86_64

How reproducible:

Always

Steps to Reproduce:
1. Select "GNOME on Wayland" in gdm
2. Open a terminal
3. tun "ssh-add"

Actual results:

$ ssh-add
Could not open a connection to your authentication agent.

Expected results:

Enter passphrase for ...:

Additional info:

None.

Comment 1 Ray Strode [halfline] 2015-02-04 17:37:47 UTC
that's because we don't run the Xsession wrapper script for wayland sessions.  we should find some other solution than calling the Xsession wrapper script, though, in my opinion.

Comment 2 Sriram Ramkrishna 2015-02-23 17:59:53 UTC
Why not use systemd to manage the wayland session?  I have the same problem of course.  

The work around I suppose is to add the ssh-agent in the autostart somewhere so it runs on login.

Comment 3 Jeffrey C. Ollie 2015-04-23 16:14:28 UTC
I'm seeing the same issue in my F22 beta system.  Should this be a release blocker?

Comment 4 Adam Williamson 2015-05-01 00:09:27 UTC
I've only seen this intermittently, for some reason - most of the time it works.

The criteria require the keyring to work:

https://fedoraproject.org/wiki/Fedora_22_Final_Release_Criteria#Desktop_keyring

but not explicitly the ssh agent.

Comment 5 drago01 2015-05-01 10:12:31 UTC
(In reply to Jeffrey C. Ollie from comment #3)
> I'm seeing the same issue in my F22 beta system.  Should this be a release
> blocker?

The wayland session isn't the default .. so not sure it makes sense to block for it.

Comment 6 Stephen Gallagher 2015-05-04 14:30:39 UTC
-1 blocker. Wayland is not the default session and the criteria doesn't specifically require an SSH agent either.

From the discussion above, any solution for this is likely to be moderately involved and should therefore be targeted as something to be done before Wayland *becomes* default.

Comment 7 Adam Williamson (Fedora) 2015-05-04 16:39:44 UTC
yeah, somehow I totally missed that this was wayland, which makes my comment invalid  btw - I've occasionally seen ssh agent not run *in X*, but only very occasionally. definite -1.

Comment 8 Dan Mossor [danofsatx] 2015-05-04 16:46:07 UTC
Discussed at the 2015-05-04 blocker review meeting.[0] Voted as RejectedBlocker.

RejectedBlocker - this report is for GNOME on Wayland, which is not the default session and is not considered to block the release in general

[0] http://meetbot.fedoraproject.org/meetbot/fedora-blocker-review/2015-05-04/f22-blocker-review.2015-05-04-16.00.log.txt

Comment 9 Daniel Stone 2015-09-21 08:27:46 UTC
This has since been fixed (in F23 / 3.17.x), but I can't seem to change the status directly myself.

Comment 10 Ray Strode [halfline] 2015-09-21 19:35:52 UTC
we're still actually working on this upstream.  we have an iteration of the gnome-session half in, but still need to land the gnome-shell half (and potentially do another iteration on the gnome-session half following discussion)

Comment 11 Fedora End Of Life 2015-11-04 10:25:55 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Adam Williamson 2015-11-04 18:42:56 UTC
Bumping to Rawhide per #c10.

Comment 13 Ray Strode [halfline] 2015-11-04 21:36:07 UTC
this should actually be worked around in 3.18.1

Comment 14 Brian J. Murrell 2019-11-17 22:23:43 UTC
This still does not seem to work in F31.  Notice on wayland:



   3732 ?        Ssl    0:00 /usr/sbin/gdm
  97657 ?        Sl     0:00  \_ gdm-session-worker [pam/gdm-password]
  97690 tty2     Ssl+   0:00      \_ /usr/libexec/gdm-wayland-session /usr/bin/gnome-session
  97693 tty2     Sl+    0:00          \_ /usr/libexec/gnome-session-binary

and on Xorg:

   3732 ?        Ssl    0:00 /usr/sbin/gdm
 110905 ?        Sl     0:00  \_ gdm-session-worker [pam/gdm-password]
 110967 tty2     Ssl+   0:00      \_ /usr/libexec/gdm-x-session --run-script /usr/bin/gnome-session
 110969 tty2     Sl+    0:03          \_ /usr/libexec/Xorg vt2 -displayfd 3 -auth /run/user/1001/gdm/Xauthority -background none -noreset -keeptty -verbose 3
 111031 tty2     Sl+    0:00          \_ /usr/libexec/gnome-session-binary
 111276 ?        Ss     0:00              \_ /usr/bin/ssh-agent /bin/sh -c exec -l /bin/bash -c "/usr/bin/gnome-session"

But whether you get it on wayland or not, the biggest issue here is the inconsistency between wayland and Xorg because with the former you need gnome-keyring to start the ssh-agent and with the latter, having gnome-keyring start the ssh-agent actually breaks the ssh-agent of the login session.

Moreover this seems to be the cause of (completely untriaged) bug#1765552.


Note You need to log in before you can comment on or make changes to this bug.